#ifndef _DFI_H
#define _DFI_H


#ifndef DFI_THREAD_STACK_SIZE
#define DFI_THREAD_STACK_SIZE   1024
#endif

#ifndef DFI_THREAD_PRIORITY
#define DFI_THREAD_PRIORITY     (LOWPRIO + 2)
#endif

extern THD_WORKING_AREA(wa_dfiFunc, DFI_THREAD_STACK_SIZE);

#ifdef __cplusplus
extern "C" {
#endif
  THD_FUNCTION(dfiFunc, p);
  void init_hw(void);
#ifdef __cplusplus
}
#endif




#endif
